## golang-github-smallstep-linkedca 0.24.0

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)
SRC=$(shell find . -type f -name '*.go')

# protoc-gen-go constraints
GEN_GO_BIN ?= protoc-gen-go
GEN_GO_MIN_VERSION ?= 1.36.1
GEN_GO_VERSION ?= $(shell $(GEN_GO_BIN) --version | awk -F ' v' '{print $$NF}')

# protoc-gen-go-grpc constraints
GEN_GRPC_BIN ?= protoc-gen-go-grpc
GEN_GRPC_MIN_VERSION ?= 1.5.1
GEN_GRPC_VERSION ?= $(shell $(GEN_GRPC_BIN) --version | awk -F ' ' '{print $$NF}')

# Go tools
GOIMPORTS=golang.org/x/tools/cmd/goimports
GOLANGCI_LINT=github.com/golangci/golangci-lint/v2/cmd/golangci-lint
GOTESTSUM=gotest.tools/gotestsum
GOVULNCHECK=golang.org/x/vuln/cmd/govulncheck

all: lint generate test

ci: test

.PHONY: all ci

#########################################
# Build
#########################################

build: ;

#########################################
# Bootstrapping
#########################################

bootstra%:
	$Q go install -mod=readonly google.golang.org/protobuf/cmd/protoc-gen-go
	$Q go install -mod=readonly google.golang.org/grpc/cmd/protoc-gen-go-grpc

.PHONY: bootstrap

#########################################
# Test
#########################################

test:
	$Q $(GOFLAGS) go tool $(GOTESTSUM) -- -coverpkg=./... -coverprofile=coverage.out -covermode=atomic ./...

race:
	$Q $(GOFLAGS) go tool $(GOTESTSUM) -- -race ./...

.PHONY: test race

#########################################
# Linting
#########################################

fmt:
	$Q go tool $(GOIMPORTS) -local github.com/smallstep/linkedca -l -w $(SRC)

lint: SHELL:=/bin/bash
lint:
	$Q LOG_LEVEL=error go tool $(GOLANGCI_LINT) run --config <(curl -s https://raw.githubusercontent.com/smallstep/workflows/master/.golangci.yml) --timeout=30m
	$Q go tool $(GOVULNCHECK) ./...

.PHONY: fmt lint

#########################################
# Generate
#########################################

generate: check-gen-go-version check-gen-grpc-version
	@# remove any previously generated protobufs & gRPC files
	@find . \
		-type f \
		-name "*.pb.go" \
		-delete

	@# generate the corresponding protobufs & gRPC code files
	$Q protoc \
		--proto_path=spec \
		--go_opt=module=github.com/smallstep/linkedca \
		--go_out=. \
		--go-grpc_opt=module=github.com/smallstep/linkedca \
		--go-grpc_out=. \
		$(shell find spec -type f -name "*.proto")	

.PHONY: generate

#########################################
# Tool constraints
#########################################

check-gen-go-version:
	@if ! printf "%s\n%s" "$(GEN_GO_MIN_VERSION)" "$(GEN_GO_VERSION)" | sort -V -C; then \
		echo "Your $(GEN_GO_BIN) version (v$(GEN_GO_VERSION)) is older than the minimum required (v$(GEN_GO_MIN_VERSION))."; \
		exit 1; \
	fi

.PHONY: check-gen-go-version

check-gen-grpc-version:
	@if ! printf "%s\n%s" "$(GEN_GRPC_MIN_VERSION)" "$(GEN_GRPC_VERSION)" | sort -V -C; then \
		echo "Your $(GEN_GRPC_BIN) version (v$(GEN_GRPC_VERSION)) is older than the minimum required (v$(GEN_GRPC_MIN_VERSION))."; \
		exit 1; \
	fi

.PHONY: check-gen-grpc-version

## golang-github-smallstep-linkedca 0.23.0

=== debian/changelog ===
golang-github-smallstep-linkedca (0.23.0-1) unstable; urgency=medium

  * Initial release (Closes: #1113693)

 -- Simon Josefsson <simon@josefsson.org>  Mon, 01 Sep 2025 09:13:36 +0200

golang-step-linkedca (0.19.0-1) unstable; urgency=medium

  * d/watch: upstream tags its releases now
  * New upstream version 0.19.0
  * d/control: Update dependencies

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 19:47:06 +0100

golang-step-linkedca (0.0~git20210611.27424aa-2) unstable; urgency=medium

  * Initial release (Closes: #991047)

 -- Peymaneh <peymaneh@posteo.net>  Thu, 24 Nov 2022 12:17:40 +0100

=== debian/control ===
Source: golang-github-smallstep-linkedca
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Peymaneh <peymaneh@posteo.net>,
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev <!nocheck>,
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca.git
Homepage: https://github.com/smallstep/linkedca
XS-Go-Import-Path: github.com/smallstep/linkedca

Package: golang-github-smallstep-linkedca-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-google-grpc-dev,
 golang-google-protobuf-dev,
 ${misc:Depends},
Description: Support for Linked CAs using protocol buffers and gRPC (Go library)
 This package implements Types and functions supporting Linked CAs
 using protocol buffers and gRPC.
 .
 For documentation see https://pkg.go.dev/github.com/smallstep/linkedca
 .
 This package contains the Go development library.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/smallstep/linkedca/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-smallstep-linkedca 0.24.0

=== debian/changelog ===
golang-github-smallstep-linkedca (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * Use watch v5 format.
  * Remove Rules-Requires-Root: no.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 28 Sep 2025 14:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Peymaneh <peymaneh@posteo.net>,
  Simon Josefsson <simon@josefsson.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,

=== debian/watch ===
Version: 5
Template: Github
Owner: smallstep
Project: linkedca

## golang-github-smallstep-linkedca 0.25.0

=== debian/changelog ===
golang-github-smallstep-linkedca (0.25.0-1) unstable; urgency=medium

  * Salsa lrc modernization.
  * New upstream version 0.25.0
  * Standards-Version: 4.7.3
  * Improve Salsa CI

 -- Simon Josefsson <simon@josefsson.org>  Sun, 28 Dec 2025 20:40:00 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  golang-google-grpc-dev,
  golang-google-protobuf-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-linkedca.git
 Homepage: https://github.com/smallstep/linkedca
